﻿header {
    background-color: $color-movie-dark;
    padding: 20px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-image: url("./assets/images/header.jpg");
    background-position: center right;

    h1 {
        font-size: 3rem;
        z-index: 1;
        background-color: rgba(20, 20, 20, 0.8);
        padding: 30px;
        color: $color-white;
        border-radius: 10px;
        box-shadow: 0 0 5px rgba(20, 20, 20, 0.5);
        line-height: 50px !important;
    }

    button {
        background-color: rgba(20, 20, 20, 0.8);
        padding: 10px;
        border-radius: 10px;
        box-shadow: 0 0 5px rgba(20, 20, 20, 0.5);
        transition: background-color 300ms ease-in-out;
        margin-left: 10px;
        color: $color-white;

        &:hover {
            background-color: $color-movie-orange;
        }
    }
}

@media screen and (max-width: 500px) {
    header{
        flex-direction: column;

        button{
            margin-top: 20px;
        }
    }
}
